Get a documentation page by ID.
curl --request GET \
--url https://api.parallellabs.app/api/v0/documentation/{pageId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/documentation/{pageId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/documentation/{pageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"whitelabelId": "<string>",
"parentId": "<string>",
"title": "<string>",
"slug": "<string>",
"content": "<string>",
"sortOrder": 123,
"icon": "<string>",
"isPublished": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Documentation
Get a documentation page by ID.
GET
/
api
/
v0
/
documentation
/
{pageId}
Get a documentation page by ID.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Response
The requested documentation page
Documentation page object
Page ID (UUID)
Whitelabel instance ID (null for global pages)
Parent page ID for hierarchy (null for top-level pages)
Page title
URL-friendly identifier
Markdown content of the page
Sort order within the parent
Optional icon name
Whether the page is published
ISO timestamp when the page was created
ISO timestamp when the page was last updated

